import { setupUrl } from './url.setup.js';
import { setupUfPath } from './ufPath.setup.js';
import { setupFormat } from './format.setup.js';
import { setupOutPath } from './outPath.setup.js';
export async function collectRcJson(cliCfg) {
    const config = {
        ...cliCfg,
        ...(await setupUrl(cliCfg)
            .then(setupUfPath)
            .then(setupFormat)
            .then(setupOutPath)
        // initial static defaults should be last as it takes user settings
        )
    };
    return config;
}
//# sourceMappingURL=collect-rc-json.js.map