import { NEW_LINE } from './constants.js';
/**
 * ```{format}
 *   {code}
 * ```
 * or with inline set to `true`
 * `{code}`
 */
export function code(code, cfg) {
    if (cfg?.format === 'inline') {
        return `\`${code}\``;
    }
    const format = cfg?.format || 'javascript';
    return `
\`\`\`${format}${NEW_LINE}
${code}
\`\`\` ${NEW_LINE}
${NEW_LINE}`;
}
//# sourceMappingURL=code.js.map