import { CLIProcess } from '../processing/types.js';
import { RcJson } from '../../types.js';
type Precondition = (context: RcJson) => Promise<boolean> | boolean;
type ConfirmProcess = {
    prompt: string;
    process: CLIProcess;
    denied?: CLIProcess;
    precondition?: Precondition;
};
export declare function confirmToProcess({ prompt, process, precondition }: ConfirmProcess): CLIProcess;
export {};
