import { logVerbose } from '../../core/loggin/index.js';
import { collectOptions } from './options/index.js';
import { runCollectCommand } from './command-impl.js';
export const collectUserFlowsCommand = {
    command: 'collect',
    description: 'Run a set of user flows and save the result',
    builder: (y) => y.options(collectOptions),
    module: {
        handler: async (argv) => {
            logVerbose(`run "collect" as a yargs command with args:`);
            await runCollectCommand(argv);
        }
    }
};
//# sourceMappingURL=index.js.map