export function getCollectCommandOptionsFromArgv(argv) {
    const { url, ufPath, serveCommand, awaitServeStdout, dryRun, openReport, outPath, format, configPath, config } = (argv || {});
    let collect = {};
    url && (collect.url = url);
    ufPath && (collect.ufPath = ufPath);
    // optional
    serveCommand && (collect.serveCommand = serveCommand);
    awaitServeStdout && (collect.awaitServeStdout = awaitServeStdout);
    configPath && (collect.configPath = configPath);
    config && (collect.config = config);
    // cli only
    dryRun !== undefined && (collect.dryRun = Boolean(dryRun));
    let persist = {};
    outPath && (persist.outPath = outPath);
    format && (persist.format = format);
    // cli only
    openReport !== undefined && (persist.openReport = Boolean(openReport));
    return { collect, persist };
}
//# sourceMappingURL=params.js.map