import { Page } from 'puppeteer';
import { FlowResult } from 'lighthouse';
import { StepOptions, UserFlowOptions } from './types.js';
/**
 * @TODO this is very flakey ATM and needs investigation
 */
export declare class UserFlowMock {
    protected cfg: UserFlowOptions;
    protected name: string;
    protected page: Page;
    /**
     * @param {LH.NavigationRequestor} requestor
     * @param {StepOptions=} stepOptions
     */
    navigate(requestor: any, { name }?: StepOptions): Promise<any>;
    constructor(page: Page, cfg: UserFlowOptions);
    /**
     * @param {StepOptions=} stepOptions
     */
    startTimespan({ name }?: StepOptions): Promise<void>;
    endTimespan({ name }?: StepOptions): Promise<void>;
    /**
     * @param {StepOptions=} stepOptions
     */
    snapshot({ name }?: StepOptions): Promise<void>;
    /**
     * @return {LH.FlowResult}
     */
    getFlowResult(): FlowResult;
    createFlowResult(): FlowResult;
    /**
     * @return {Promise<string>}
     */
    generateReport(): Promise<string>;
}
export declare class UserFlowReportMock {
    protected cfg: UserFlowOptions;
    /**
     * @param {LH.NavigationRequestor} requestor
     * @param {StepOptions=} stepOptions
     */
    navigate(requestor: any, { name }?: StepOptions): Promise<any>;
    constructor(cfg: UserFlowOptions);
    /**
     * @param {StepOptions=} stepOptions
     */
    startTimespan({ name }?: StepOptions): Promise<void>;
    endTimespan({ name }?: StepOptions): Promise<void>;
    /**
     * @param {StepOptions=} stepOptions
     */
    snapshot({ name }?: StepOptions): Promise<void>;
    /**
     * @return {LH.FlowResult}
     */
    getFlowResult(): FlowResult;
    createFlowResult(): FlowResult;
    /**
     * @return {Promise<string>}
     */
    generateReport(): Promise<string>;
}
