import yargs from '../lib/core/yargs/instance.js';
import { logVerbose } from './core/loggin/index.js';
import { detectCliMode } from './global/cli-mode/index.js';
export function applyConfigMiddleware(handler, configParser) {
    return () => {
        yargs.config(configParser());
        const { interactive, verbose, rcPath } = yargs.argv;
        logVerbose('CLI Mode: ', detectCliMode());
        logVerbose('Global options: ', { interactive, verbose, rcPath });
        return handler(yargs.argv);
    };
}
//# sourceMappingURL=config.middleware.js.map