import { NEW_LINE } from './constants.js';
/**
 * <details {open}>
 *   <summary>{title}</summary>
 *   {content}
 * <details>
 */
export function details(title, content, cfg = { open: false }) {
    return `<details ${cfg.open && 'open'}>${NEW_LINE}
<summary>${title}</summary>${NEW_LINE}
${content}${NEW_LINE}
</details>${NEW_LINE}`;
}
//# sourceMappingURL=details.js.map