import Enquirer from 'enquirer';
export async function promptParam(cfg) {
    const { type, initial, message, skip, result } = cfg;
    const { param } = await Enquirer.prompt([{
            name: 'param',
            type: type || 'input',
            initial,
            message,
            skip,
            result
        }]);
    return param;
}
//# sourceMappingURL=prompt.js.map