import yargs from '../../core/yargs/instance.js';
import { getEnvPreset } from '../../pre-set.js';
export const interactive = {
    alias: 'i',
    type: 'boolean',
    description: 'When false questions are skipped with the values from the suggestions. This is useful for CI integrations.',
    default: getEnvPreset().interactive,
};
export function get() {
    const { interactive } = yargs.argv;
    return interactive;
}
//# sourceMappingURL=interactive.js.map