import yargs from '../../core/yargs/instance.js';
import { getEnvPreset } from '../../pre-set.js';
export const verbose = {
    alias: 'v',
    type: 'boolean',
    description: 'Run with verbose logging',
    default: getEnvPreset()['verbose']
};
// We are in the process of removing this getter
export function get() {
    const { verbose } = yargs.argv;
    if (verbose === undefined) {
        throw new Error('Error extracting verbose cli argument');
    }
    return verbose;
}
//# sourceMappingURL=verbose.js.map