import yargs from '../../../core/yargs/instance.js';
import { getEnvPreset } from '../../../pre-set.js';
export const rcPath = {
    alias: 'p',
    type: 'string',
    description: 'Path to user-flow.config.json. e.g. `./user-flowrc.json`',
    default: getEnvPreset().rcPath
};
// We don't rely on yargs option normalization features as this can happen before cli bootstrap
export function get() {
    const { rcPath } = yargs.argv;
    return rcPath;
}
//# sourceMappingURL=rc.js.map